Tag filters' titles and descriptions should be bidi isolated
Closed, ResolvedPublic

Description

Tag filters are externally added and we don't control their content. They can be added as English strings or any other language, without concern to the interface or wiki language direction. We have to bidi isolate these so they don't break.

Example of broken English tags in Hebrew Wiki:

Mooeypoo created this task.Mar 26 2018, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2018, 8:04 PM

Change 421985 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Bidi isolate tag names and descriptions

https://gerrit.wikimedia.org/r/421985

Change 421985 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Bidi isolate tag names and descriptions

https://gerrit.wikimedia.org/r/421985

@Mooeypoo Is there bidi for filter capsule? The tag is displayed correctly in the list of tags but not when when the tag is selected:

Change 423028 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] Followup Iebc3176c5d: Bidi isolate filter tags

https://gerrit.wikimedia.org/r/423028

@Etonkovidova whoops! Good catch! Added that in this commit.

Change 423028 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Followup Iebc3176c5d: Bidi isolate filter tags

https://gerrit.wikimedia.org/r/423028

SBisson added a subscriber: SBisson.

The change to bd isolate the capsules was just merged.

Etonkovidova closed this task as Resolved.Apr 5 2018, 7:30 PM

Fixed in betalabs:

Trizek-WMF moved this task from Untriaged to RTL on the I18n board.Apr 6 2018, 9:40 AM
Trizek-WMF added a subscriber: Trizek-WMF.
This comment was removed by Trizek-WMF.
Restricted Application added a project: Growth-Team. · View Herald TranscriptTue, Aug 14, 1:14 AM